Get Opt-in Prompt Conditions
curl --request GET \
--url https://api.aimtell.com/prod/prompts/{idSite}/conditions \
--header 'X-Authorization-Api-Key: <api-key>'import requests
url = "https://api.aimtell.com/prod/prompts/{idSite}/conditions"
headers = {"X-Authorization-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Authorization-Api-Key': '<api-key>'}};
fetch('https://api.aimtell.com/prod/prompts/{idSite}/conditions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1234,
"page": "*",
"promptId": 3836,
"autoPrompt": 1,
"idSite": 179,
"device_type": "any",
"browser": "safari",
"seconds_delay": null,
"scroll_delay": null,
"pages_delay": null,
"cookie_required": null,
"disabled": null,
"priority": 10,
"createdAt": "2020-06-01 14:47:45",
"updatedAt": "2020-10-20 17:49:27"
},
{
"id": 5678,
"page": "",
"promptId": 3793,
"autoPrompt": 1,
"idSite": 179,
"device_type": "any",
"browser": "firefox",
"seconds_delay": null,
"scroll_delay": null,
"pages_delay": null,
"cookie_required": null,
"disabled": null,
"priority": 5,
"createdAt": "2020-07-22 19:23:43",
"updatedAt": "2020-07-22 19:24:21"
},
{
"id": 9012,
"page": "",
"promptId": 3793,
"autoPrompt": 1,
"idSite": 179,
"device_type": "mobile",
"browser": "chrome",
"seconds_delay": null,
"scroll_delay": 0,
"pages_delay": null,
"cookie_required": null,
"disabled": null,
"priority": 2,
"createdAt": "2020-07-22 19:18:53",
"updatedAt": "2020-07-22 19:18:53"
},
{
"id": 3456,
"page": "*",
"promptId": 3793,
"autoPrompt": 1,
"idSite": 179,
"device_type": "any",
"browser": "any",
"seconds_delay": null,
"scroll_delay": null,
"pages_delay": null,
"cookie_required": null,
"disabled": null,
"priority": 0,
"createdAt": "2020-04-29 18:13:06",
"updatedAt": "2020-08-27 19:42:55"
}
]{
"result": "error",
"message": "Invalid token.",
"error_code": 71831
}Prompts
Get Opt-in Prompt Conditions
Fetches all opt-in prompt conditions for a website
GET
/
prod
/
prompts
/
{idSite}
/
conditions
Get Opt-in Prompt Conditions
Authorizations
Path Parameters
Website ID
Response
200
Example:
1234
Example:
"*"
Example:
3836
Example:
1
Example:
179
Example:
"any"
Example:
"safari"
Example:
10
Example:
"2020-06-01 14:47:45"
Example:
"2020-10-20 17:49:27"
⌘I

